onEvent('recipes', event => {

  // Unused Ores convertable to the Correct Thermal Ores, Ingots, Nuggets etc. (Ignore! This will removed in a distant future update.)
  event.shapeless(Item.of('thermal:copper_ore'), ['immersiveengineering:ore_copper'])
  event.shapeless(Item.of('thermal:copper_ore'), ['crossroads:ore_copper'])
  event.shapeless(Item.of('thermal:copper_ore'), ['silents_mechanisms:copper_ore'])
  event.shapeless(Item.of('thermal:copper_ore'), ['tmechworks:copper_ore'])
  event.shapeless(Item.of('thermal:copper_ore'), ['mekanism:copper_ore'])
  event.shapeless(Item.of('thermal:copper_ore'), ['iceandfire:copper_ore'])
  event.shapeless(Item.of('thermal:copper_ore'), ['create:copper_ore'])
  event.shapeless(Item.of('thermal:copper_ore'), ['tconstruct:copper_ore'])
  event.shapeless(Item.of('thermal:lead_ore'), ['silents_mechanisms:lead_ore'])
  event.shapeless(Item.of('thermal:lead_ore'), ['mekanism:lead_ore'])
  event.shapeless(Item.of('thermal:lead_ore'), ['eidolon:lead_ore'])
  event.shapeless(Item.of('thermal:lead_ore'), ['immersiveengineering:ore_lead'])
  event.shapeless(Item.of('thermal:silver_ore'), ['silents_mechanisms:silver_ore'])
  event.shapeless(Item.of('thermal:silver_ore'), ['immersiveengineering:ore_silver'])
  event.shapeless(Item.of('thermal:silver_ore'), ['iceandfire:silver_ore'])
  event.shapeless(Item.of('thermal:silver_ore'), ['silentgems:silver_ore'])
  event.shapeless(Item.of('thermal:tin_ore'), ['silents_mechanisms:tin_ore'])
  event.shapeless(Item.of('thermal:tin_ore'), ['mekanism:tin_ore'])
  event.shapeless(Item.of('thermal:tin_ore'), ['crossroads:ore_tin'])  
  event.shapeless(Item.of('thermal:nickel_ore'), ['immersiveengineering:ore_nickel'])
  event.shapeless(Item.of('thermal:nickel_ore'), ['silents_mechanisms:nickel_ore'])
  event.shapeless(Item.of('silents_mechanisms:bauxite_ore'), ['tmechworks:aluminum_ore'])
  event.shapeless(Item.of('silents_mechanisms:bauxite_ore'), ['immersiveengineering:ore_aluminum'])
  event.shapeless(Item.of('silents_mechanisms:zinc_ore'), ['create:zinc_ore'])
  event.shapeless(Item.of('thermal:electrum_dust'), ['immersiveengineering:dust_electrum'])
  event.shapeless(Item.of('thermal:electrum_block'), ['immersiveengineering:storage_electrum'])
  event.shapeless(Item.of('thermal:electrum_ingot'), ['immersiveengineering:ingot_electrum'])
  event.shapeless(Item.of('thermal:electrum_nugget'), ['immersiveengineering:nugget_electrum'])
  event.shapeless(Item.of('silents_mechanisms:brass_block'), ['create:brass_block'])
  event.shapeless(Item.of('silents_mechanisms:brass_ingot'), ['create:brass_ingot'])
  event.shapeless(Item.of('silents_mechanisms:brass_nugget'), ['create:brass_nugget'])
  event.shapeless(Item.of('thermal:constantan_dust'), ['immersiveengineering:dust_constantan'])
  event.shapeless(Item.of('thermal:constantan_block'), ['immersiveengineering:storage_constantan'])
  event.shapeless(Item.of('thermal:constantan_ingot'), ['immersiveengineering:ingot_constantan'])
  event.shapeless(Item.of('thermal:constantan_nugget'), ['immersiveengineering:nugget_constantan'])
  event.shapeless(Item.of('thermal:invar_dust'), ['silents_mechanisms:invar_dust'])
  event.shapeless(Item.of('thermal:invar_block'), ['silents_mechanisms:invar_block'])
  event.shapeless(Item.of('thermal:invar_ingot'), ['silents_mechanisms:invar_ingot'])
  event.shapeless(Item.of('thermal:invar_nugget'), ['silents_mechanisms:invar_nugget'])
  event.shapeless(Item.of('thermal:electrum_dust'), ['silents_mechanisms:electrum_dust'])
  event.shapeless(Item.of('thermal:electrum_block'), ['silents_mechanisms:electrum_block'])
  event.shapeless(Item.of('thermal:electrum_ingot'), ['silents_mechanisms:electrum_ingot'])
  event.shapeless(Item.of('thermal:electrum_nugget'), ['silents_mechanisms:electrum_nugget'])
  event.shapeless(Item.of('thermal:enderium_dust'), ['silents_mechanisms:enderium_dust'])
  event.shapeless(Item.of('thermal:enderium_block'), ['silents_mechanisms:enderium_block'])
  event.shapeless(Item.of('thermal:enderium_ingot'), ['silents_mechanisms:enderium_ingot'])
  event.shapeless(Item.of('thermal:enderium_nugget'), ['silents_mechanisms:enderium_nugget'])
  event.shapeless(Item.of('silents_mechanisms:steel_dust'), ['immersiveengineering:dust_steel'])
  event.shapeless(Item.of('silents_mechanisms:steel_block'), ['immersiveengineering:storage_steel'])
  event.shapeless(Item.of('silents_mechanisms:steel_ingot'), ['immersiveengineering:ingot_steel'])
  event.shapeless(Item.of('silents_mechanisms:steel_nugget'), ['immersiveengineering:ingot_steel'])
  event.shapeless(Item.of('silents_mechanisms:steel_dust'), ['mekanism:dust_steel'])
  event.shapeless(Item.of('silents_mechanisms:steel_block'), ['mekanism:block_steel'])
  event.shapeless(Item.of('silents_mechanisms:steel_ingot'), ['mekanism:ingot_steel'])
  event.shapeless(Item.of('silents_mechanisms:steel_nugget'), ['mekanism:nugget_steel'])
  event.shapeless(Item.of('thermal:signalum_dust'), ['silents_mechanisms:signalum_dust'])
  event.shapeless(Item.of('thermal:signalum_block'), ['silents_mechanisms:signalum_block'])
  event.shapeless(Item.of('thermal:signalum_ingot'), ['silents_mechanisms:signalum_ingot'])
  event.shapeless(Item.of('thermal:signalum_nugget'), ['silents_mechanisms:signalum_nugget'])
  event.shapeless(Item.of('thermal:lumium_dust'), ['silents_mechanisms:lumium_dust'])
  event.shapeless(Item.of('thermal:lumium_block'), ['silents_mechanisms:lumium_block'])
  event.shapeless(Item.of('thermal:lumium_ingot'), ['silents_mechanisms:lumium_ingot'])
  event.shapeless(Item.of('thermal:lumium_nugget'), ['silents_mechanisms:lumium_nugget'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['silents_mechanisms:copper_ingot'])
  event.shapeless(Item.of('thermal:copper_dust'), ['mekanism:dust_copper'])
  event.shapeless(Item.of('thermal:copper_dust'), ['immersiveengineering:dust_copper'])
  event.shapeless(Item.of('thermal:lead_ingot'), ['immersiveengineering:ingot_lead'])
  event.shapeless(Item.of('thermal:lead_dust'), ['mekanism:dust_lead'])
  event.shapeless(Item.of('thermal:silver_ingot'), ['immersiveengineering:ingot_silver'])
  event.shapeless(Item.of('thermal:silver_dust'), ['immersiveengineering:dust_silver'])
  event.shapeless(Item.of('thermal:nickel_ingot'), ['immersiveengineering:ingot_nickel'])
  event.shapeless(Item.of('thermal:nickel_dust'), ['immersiveengineering:dust_nickel'])
  event.shapeless(Item.of('silents_mechanisms:zinc_nugget'), ['create:zinc_nugget'])
  event.shapeless(Item.of('thermal:bronze_ingot'), ['silents_mechanisms:bronze_ingot'])
  event.shapeless(Item.of('thermal:bronze_dust'), ['silents_mechanisms:bronze_dust'])
  event.shapeless(Item.of('thermal:bronze_nugget'), ['mekanism:nugget_bronze'])
  event.shapeless(Item.of('thermal:lead_dust'), ['immersiveengineering:dust_lead'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_dust'), ['immersiveengineering:dust_aluminum'])
  event.shapeless(Item.of('thermal:iron_dust'), ['immersiveengineering:dust_iron'])
  event.shapeless(Item.of('thermal:gold_dust'), ['immersiveengineering:dust_gold'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['silents_mechanisms:copper_nugget'])
  event.shapeless(Item.of('thermal:copper_block'), ['silents_mechanisms:copper_block'])
  event.shapeless(Item.of('thermal:copper_dust'), ['silents_mechanisms:copper_dust'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['tmechworks:copper_ingot'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['tmechworks:copper_nugget'])
  event.shapeless(Item.of('thermal:copper_block'), ['tmechworks:copper_block'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['mekanism:ingot_copper'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['mekanism:nugget_copper'])
  event.shapeless(Item.of('thermal:copper_block'), ['mekanism:block_copper'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['crossroads:ingot_copper'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['crossroads:nugget_copper'])
  event.shapeless(Item.of('thermal:copper_block'), ['crossroads:block_copper'])
  event.shapeless(Item.of('thermal:copper_dust'), ['crossroads:dust_copper'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['immersiveengineering:ingot_copper'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['immersiveengineering:nugget_copper'])
  event.shapeless(Item.of('thermal:copper_block'), ['immersiveengineering:storage_copper'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['iceandfire:copper_ingot'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['iceandfire:copper_nugget'])
  event.shapeless(Item.of('thermal:copper_block'), ['iceandfire:copper_block'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['create:copper_ingot'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['create:copper_nugget'])
  event.shapeless(Item.of('thermal:copper_block'), ['create:copper_block'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['bno:copper_ingot'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['bno:copper_nugget'])
  event.shapeless(Item.of('thermal:copper_block'), ['bno:copper_block'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['tconstruct:copper_ingot'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['tconstruct:copper_nugget'])
  event.shapeless(Item.of('thermal:copper_block'), ['tconstruct:copper_block'])
  event.shapeless(Item.of('thermal:copper_dust'), ['pedestals:dustcopper'])
  event.shapeless(Item.of('thermal:silver_ingot'), ['silents_mechanisms:silver_ingot'])
  event.shapeless(Item.of('thermal:silver_nugget'), ['silents_mechanisms:silver_nugget'])
  event.shapeless(Item.of('thermal:silver_block'), ['silents_mechanisms:silver_block'])
  event.shapeless(Item.of('thermal:silver_dust'), ['silents_mechanisms:silver_dust'])
  event.shapeless(Item.of('thermal:silver_nugget'), ['immersiveengineering:nugget_silver'])
  event.shapeless(Item.of('thermal:silver_block'), ['immersiveengineering:storage_silver'])
  event.shapeless(Item.of('thermal:silver_ingot'), ['iceandfire:silver_ingot'])
  event.shapeless(Item.of('thermal:silver_nugget'), ['iceandfire:silver_nugget'])
  event.shapeless(Item.of('thermal:silver_block'), ['iceandfire:silver_block'])
  event.shapeless(Item.of('thermal:silver_ingot'), ['bno:silver_ingot'])
  event.shapeless(Item.of('thermal:silver_nugget'), ['bno:silver_nugget'])
  event.shapeless(Item.of('thermal:silver_block'), ['bno:silver_block'])
  event.shapeless(Item.of('thermal:silver_ingot'), ['silentgems:silver_ingot'])
  event.shapeless(Item.of('thermal:silver_nugget'), ['silentgems:silver_nugget'])
  event.shapeless(Item.of('thermal:silver_block'), ['silentgems:silver_block'])
  event.shapeless(Item.of('thermal:silver_dust'), ['pedestals:dustsilver'])
  event.shapeless(Item.of('thermal:lead_ingot'), ['silents_mechanisms:lead_ingot'])
  event.shapeless(Item.of('thermal:lead_nugget'), ['silents_mechanisms:lead_nugget'])
  event.shapeless(Item.of('thermal:lead_block'), ['silents_mechanisms:lead_block'])
  event.shapeless(Item.of('thermal:lead_dust'), ['silents_mechanisms:lead_dust'])
  event.shapeless(Item.of('thermal:lead_ingot'), ['mekanism:ingot_lead'])
  event.shapeless(Item.of('thermal:lead_nugget'), ['mekanism:nugget_lead'])
  event.shapeless(Item.of('thermal:lead_block'), ['mekanism:block_lead'])
  event.shapeless(Item.of('thermal:lead_nugget'), ['immersiveengineering:nugget_lead'])
  event.shapeless(Item.of('thermal:lead_block'), ['immersiveengineering:storage_lead'])
  event.shapeless(Item.of('thermal:lead_ingot'), ['eidolon:lead_ingot'])
  event.shapeless(Item.of('thermal:lead_nugget'), ['eidolon:lead_nugget'])
  event.shapeless(Item.of('thermal:lead_block'), ['eidolon:lead_block'])
  event.shapeless(Item.of('thermal:lead_ingot'), ['bno:lead_ingot'])
  event.shapeless(Item.of('thermal:lead_nugget'), ['bno:lead_nugget'])
  event.shapeless(Item.of('thermal:lead_block'), ['bno:lead_block'])
  event.shapeless(Item.of('thermal:lead_dust'), ['pedestals:dustlead'])
  event.shapeless(Item.of('thermal:tin_nugget'), ['silents_mechanisms:tin_nugget'])
  event.shapeless(Item.of('thermal:tin_block'), ['silents_mechanisms:tin_block'])
  event.shapeless(Item.of('thermal:tin_ingot'), ['mekanism:ingot_tin'])
  event.shapeless(Item.of('thermal:tin_nugget'), ['mekanism:nugget_tin'])
  event.shapeless(Item.of('thermal:tin_block'), ['mekanism:block_tin'])
  event.shapeless(Item.of('thermal:tin_ingot'), ['crossroads:ingot_tin'])
  event.shapeless(Item.of('thermal:tin_nugget'), ['crossroads:nugget_tin'])
  event.shapeless(Item.of('thermal:tin_block'), ['crossroads:block_tin'])
  event.shapeless(Item.of('thermal:tin_ingot'), ['bno:tin_ingot'])
  event.shapeless(Item.of('thermal:tin_ingot'), ['silents_mechanisms:tin_ingot'])
  event.shapeless(Item.of('thermal:tin_nugget'), ['bno:tin_nugget'])
  event.shapeless(Item.of('thermal:tin_block'), ['bno:tin_block'])
  event.shapeless(Item.of('thermal:tin_dust'), ['mekanism:dust_tin'])
  event.shapeless(Item.of('thermal:tin_dust'), ['crossroads:dust_tin'])
  event.shapeless(Item.of('thermal:tin_dust'), ['pedestals:dusttin'])
  event.shapeless(Item.of('thermal:tin_dust'), ['silents_mechanisms:tin_dust'])
  event.shapeless(Item.of('thermal:nickel_ingot'), ['silents_mechanisms:nickel_ingot'])
  event.shapeless(Item.of('thermal:nickel_nugget'), ['silents_mechanisms:nickel_nugget'])
  event.shapeless(Item.of('thermal:nickel_block'), ['silents_mechanisms:nickel_block'])
  event.shapeless(Item.of('thermal:nickel_nugget'), ['immersiveengineering:nugget_nickel'])
  event.shapeless(Item.of('thermal:nickel_block'), ['immersiveengineering:storage_nickel'])
  event.shapeless(Item.of('thermal:nickel_ingot'), ['bno:nickel_ingot'])
  event.shapeless(Item.of('thermal:nickel_nugget'), ['bno:nickel_nugget'])
  event.shapeless(Item.of('thermal:nickel_block'), ['bno:nickel_block'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_ingot'), ['immersiveengineering:ingot_aluminum'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_nugget'), ['immersiveengineering:nugget_aluminum'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_block'), ['immersiveengineering:storage_aluminum'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_ingot'), ['tmechworks:aluminum_ingot'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_nugget'), ['tmechworks:aluminum_nugget'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_block'), ['tmechworks:aluminum_block'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_ingot'), ['bno:aluminum_ingot'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_nugget'), ['bno:aluminum_nugget'])
  event.shapeless(Item.of('silents_mechanisms:aluminum_block'), ['bno:aluminum_block'])
  event.shapeless(Item.of('silents_mechanisms:zinc_ingot'), ['create:zinc_ingot'])
  event.shapeless(Item.of('silents_mechanisms:zinc_block'), ['create:zinc_block'])
  event.shapeless(Item.of('thermal:bronze_ingot'), ['mekanism:ingot_bronze'])
  event.shapeless(Item.of('thermal:bronze_block'), ['mekanism:block_bronze'])
  event.shapeless(Item.of('thermal:bronze_dust'), ['mekanism:dust_bronze'])
  event.shapeless(Item.of('thermal:bronze_nugget'), ['silents_mechanisms:bronze_nugget'])
  event.shapeless(Item.of('thermal:bronze_block'), ['silents_mechanisms:bronze_block'])
  event.shapeless(Item.of('thermal:bronze_ingot'), ['crossroads:ingot_bronze'])
  event.shapeless(Item.of('thermal:bronze_nugget'), ['crossroads:nugget_bronze'])
  event.shapeless(Item.of('thermal:bronze_block'), ['crossroads:block_bronze'])
  event.shapeless(Item.of('silents_mechanisms:uranium_ingot'), ['mekanism:ingot_uranium'])
  event.shapeless(Item.of('silents_mechanisms:uranium_block'), ['mekanism:block_uranium'])
  event.shapeless(Item.of('silents_mechanisms:uranium_dust'), ['mekanism:dust_uranium'])
  event.shapeless(Item.of('silents_mechanisms:uranium_ingot'), ['immersiveengineering:ingot_uranium'])
  event.shapeless(Item.of('silents_mechanisms:uranium_block'), ['immersiveengineering:storage_uranium'])
  event.shapeless(Item.of('silents_mechanisms:uranium_dust'), ['immersiveengineering:dust_uranium'])
  event.shapeless(Item.of('silents_mechanisms:uranium_ingot'), ['bno:uranium_ingot'])
  event.shapeless(Item.of('silents_mechanisms:uranium_block'), ['bno:uranium_block'])
  event.shapeless(Item.of('silents_mechanisms:uranium_dust'), ['pedestals:dusturanium'])
  event.shapeless(Item.of('thermal:copper_ingot'), ['mysticalworld:copper_ingot'])
  event.shapeless(Item.of('thermal:copper_ore'), ['mysticalworld:copper_ore'])
  event.shapeless(Item.of('thermal:copper_dust'), ['mysticalworld:copper_dust'])
  event.shapeless(Item.of('thermal:copper_nugget'), ['mysticalworld:copper_nugget'])
  event.shapeless(Item.of('thermal:copper_block'), ['mysticalworld:copper_block'])
  event.shapeless(Item.of('thermal:silver_ingot'), ['mysticalworld:silver_ingot'])
  event.shapeless(Item.of('thermal:silver_ore'), ['mysticalworld:silver_ore'])
  event.shapeless(Item.of('thermal:silver_dust'), ['mysticalworld:silver_dust'])
  event.shapeless(Item.of('thermal:silver_nugget'), ['mysticalworld:silver_nugget'])
  event.shapeless(Item.of('thermal:silver_block'), ['mysticalworld:silver_block'])
  event.shapeless(Item.of('thermal:lead_ingot'), ['mysticalworld:lead_ingot'])
  event.shapeless(Item.of('thermal:lead_ore'), ['mysticalworld:lead_ore'])
  event.shapeless(Item.of('thermal:lead_nugget'), ['mysticalworld:lead_nugget'])
  event.shapeless(Item.of('thermal:lead_block'), ['mysticalworld:lead_block'])
  event.shapeless(Item.of('thermal:lead_dust'), ['mysticalworld:lead_dust'])
  event.shapeless(Item.of('thermal:tin_ingot'), ['mysticalworld:tin_ingot'])
  event.shapeless(Item.of('thermal:tin_ore'), ['mysticalworld:tin_ore'])
  event.shapeless(Item.of('thermal:tin_nugget'), ['mysticalworld:tin_nugget'])
  event.shapeless(Item.of('thermal:tin_block'), ['mysticalworld:tin_block'])
  event.shapeless(Item.of('thermal:tin_dust'), ['mysticalworld:tin_dust'])

});